Отчет по лабораторной работе № 2 «Система контроля версий Git»

Выполнил: Карелина М.К.
Группа: А-03-22
Проверил: Козлюк Д. А.

1. Создала на рабочем столе каталог lab02 и запустил в нем Git Bash, приглашение:
Мария@Note-Mary MINGW64 ~/Desktop/lab02
$ ls
2. Просмотрела файлы в рабочем каталоге командой ls — пусто:
Мария@Note-Mary MINGW64 ~/Desktop/lab02
$ ls
Мария@Note-Mary MINGW64 ~/Desktop/lab02
$ 
3. Создала каталоги Алисы и Боба, создала каталог project, изучила команду cd в процессе:
Мария@Note-Mary MINGW64 ~/Desktop/lab02
$ mkdir alice

Мария@Note-Mary MINGW64 ~/Desktop/lab02
$ mkdir bob

Мария@Note-Mary MINGW64 ~/Desktop/lab02
$ ls
alice/  bob/

Мария@Note-Mary MINGW64 ~/Desktop/lab02
$ cd alice

Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice
$ mkdir project

Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice
$ cd project
4. Инициализировала репозиторарий в текущем каталоге
Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project
$ git init
Initialized empty Git repository in C:/Users/Мария/Desktop/lab02/alice/project/.
git/

5. Настроила репозитарий так, чтобы коммиты были от имени Алисы
Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project (master)
$ git config user.name 'Alice (KarelinaMK)'
git config user.email 'KarelinaMK@mpei.ru'

6. Запускаем CodeBlocks и создаем проект в репозитарии Алисы, собираем его. Просмотрим состояние рабочей копии
Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project (master)
$ git status Запрос статуса 
On branch master // на ветке мастера (основной пользователь запрашивает)

No commits yet // никаких сохраненных в гите изменений

Untracked files: // неотслеживаемые файлы
  (use "git add <file>..." to include in what will be committed)
        main.cpp
        project.cbp
        project.layout

nothing added to commit but untracked files present (use "git add" to track)
7. добавила main.cpp в отслежиавемые файлы
Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project (master)
$ git add main.cpp
8. Отследила результат
Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project (master)
$ git status
On branch master

No commits yet

Changes to be committed:  //изменения, которые должны быть закоммичены
  (use "git rm --cached <file>..." to unstage)
        new file:   main.cpp

Untracked files:
  (use "git add <file>..." to include in what will be committed)
        project.cbp
        project.layout

9. Выполним коммит с файлом main.cpp и коротким сообщением

Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project (master)
$ git commit -m 'code: заготовка программы'
[master (root-commit) f3f5271] code: заготовка программы
 1 file changed, 9 insertions(+)
 create mode 100644 main.cpp
10. добавила project в индекс

Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project (master)
$ git add project.cbp
warning: in the working copy of 'project.cbp', LF will be replaced by CRLF the n
ext time Git touches it

Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project (master)
$ git commit -m 'build'
[master d2cf070] build
 1 file changed, 40 insertions(+)
 create mode 100644 project.cbp

Мария@Note-Mary MINGW64 ~/Desktop/lab02/alice/project (master)
$ git status
On branch master
Changes not staged for commit:
  (use "git add <file>..." to update what will be committed)
  (use "git restore <file>..." to discard changes in working directory)
        modified:   main.cpp

Untracked files:
  (use "git add <file>..." to include in what will be committed)
        project.layout

no changes added to commit (use "git add" and/or "git commit -a")
